---
title: cloudflare_dns
type: docs
---

[![Source Code](https://img.shields.io/badge/gitea-source%20code-blue?logo=gitea&logoColor=white)](https://gitea.rknet.org/ansible/xoxys.cloudflare_dns) [![Build Status](https://img.shields.io/drone/build/ansible/xoxys.cloudflare_dns?logo=drone&server=https%3A%2F%2Fdrone.rknet.org)](https://drone.rknet.org/ansible/xoxys.cloudflare_dns) [![License: MIT](https://img.shields.io/badge/License-MIT-blue.svg?label=license)](https://gitea.rknet.org/ansible/xoxys.cloudflare_dns/src/branch/main/LICENSE)

Manage DNS records on cloudflare.

<!--more-->

- [Default Variables](#default-variables)
  - [cloudflare_dns_api_token](#cloudflare_dns_api_token)
  - [cloudflare_dns_default_zone](#cloudflare_dns_default_zone)
  - [cloudflare_dns_delegate_to](#cloudflare_dns_delegate_to)
  - [cloudflare_dns_records](#cloudflare_dns_records)
  - [cloudflare_dns_records_extra](#cloudflare_dns_records_extra)
- [Dependencies](#dependencies)

---

## Default Variables

### cloudflare_dns_api_token

Account API password.

#### Default value

```YAML
cloudflare_dns_api_token: _unset_
```

### cloudflare_dns_default_zone

#### Default value

```YAML
cloudflare_dns_default_zone: _unset_
```

### cloudflare_dns_delegate_to

#### Default value

```YAML
cloudflare_dns_delegate_to: localhost
```

### cloudflare_dns_records

#### Default value

```YAML
cloudflare_dns_records: []
```

#### Example usage

```YAML
cloudflare_dns_records:
  - record: test
    type: A
    value: 127.0.0.1
    zone: example.com
    solo: no
    state: present
```

### cloudflare_dns_records_extra

#### Default value

```YAML
cloudflare_dns_records_extra: []
```



## Dependencies

None.
